org.apache.solr.client.solrj.request

## Class CollectionAdminRequest.RequestStatus

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.CollectionAdminRequest<CollectionAdminRequest.RequestStatusResponse>
    - - org.apache.solr.client.solrj.request.CollectionAdminRequest.RequestStatus

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    CollectionAdminRequest<T extends CollectionAdminResponse>

      public static class CollectionAdminRequest.RequestStatus
      extends CollectionAdminRequest<CollectionAdminRequest.RequestStatusResponse>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `CollectionAdminRequest.AddReplica, CollectionAdminRequest.AddReplicaProp, CollectionAdminRequest.AddRole, CollectionAdminRequest.AsyncCollectionAdminRequest, CollectionAdminRequest.AsyncCollectionSpecificAdminRequest, CollectionAdminRequest.AsyncShardSpecificAdminRequest, CollectionAdminRequest.Backup, CollectionAdminRequest.BalanceShardUnique, CollectionAdminRequest.ClusterProp, CollectionAdminRequest.ClusterStatus, CollectionAdminRequest.CollectionAdminRoleRequest, CollectionAdminRequest.Create, CollectionAdminRequest.CreateAlias, CollectionAdminRequest.CreateShard, CollectionAdminRequest.CreateSnapshot, CollectionAdminRequest.Delete, CollectionAdminRequest.DeleteAlias, CollectionAdminRequest.DeleteNode, CollectionAdminRequest.DeleteReplica, CollectionAdminRequest.DeleteReplicaProp, CollectionAdminRequest.DeleteShard, CollectionAdminRequest.DeleteSnapshot, CollectionAdminRequest.DeleteStatus, CollectionAdminRequest.ForceLeader, CollectionAdminRequest.List, CollectionAdminRequest.ListSnapshots, CollectionAdminRequest.Migrate, CollectionAdminRequest.MigrateClusterState, CollectionAdminRequest.OverseerStatus, CollectionAdminRequest.RebalanceLeaders, CollectionAdminRequest.Reload, CollectionAdminRequest.RemoveRole, CollectionAdminRequest.ReplaceNode, CollectionAdminRequest.RequestStatus, CollectionAdminRequest.RequestStatusResponse, CollectionAdminRequest.Restore, CollectionAdminRequest.ShardSpecificAdminRequest, CollectionAdminRequest.SplitShard`

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `requestId`

    - ### Fields inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `action`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestStatus()` Deprecated. Use `CollectionAdminRequest.requestStatus(String)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CollectionAdminRequest.RequestStatusResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `SolrParams` | `getParams()`
    `String` | `getRequestId()`
    `CollectionAdminRequest.RequestStatus` | `setRequestId(String requestId)` Deprecated.
    `RequestStatusState` | `waitFor(SolrClient client, long timeoutSeconds)` Wait until the asynchronous request is either completed or failed, up to a timeout

    - ### Methods inherited from class org.apache.solr.client.solrj.request.CollectionAdminRequest

      `addProperties, addReplicaByRouteKey, addReplicaProperty, addReplicaToShard, addRole, backupCollection, balanceReplicaProperty, createAlias, createCollection, createCollection, createCollectionWithImplicitRouter, createShard, deleteAlias, deleteAllAsyncIds, deleteAsyncId, deleteCollection, deleteReplica, deleteReplicaProperty, deleteReplicasFromAllShards, deleteReplicasFromShard, deleteShard, forceLeaderElection, getClusterStatus, getContentStreams, getOverseerStatus, listCollections, migrateCollectionFormat, migrateData, rebalanceLeaders, reloadCollection, removeRole, requestStatus, restoreCollection, setClusterProperty, splitShard, waitForAsyncRequest`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### requestId

          protected String requestId

  - ### Constructor Detail

    - #### RequestStatus

          @Deprecated
          public RequestStatus()

      Deprecated. Use `CollectionAdminRequest.requestStatus(String)`

  - ### Method Detail

    - #### setRequestId

          @Deprecated
          public CollectionAdminRequest.RequestStatus setRequestId(String requestId)

      Deprecated.

    - #### getRequestId

          public String getRequestId()

    - #### getParams

          public SolrParams getParams()

      Overrides:
        `getParams` in class `CollectionAdminRequest<CollectionAdminRequest.RequestStatusResponse>`

    - #### createResponse

          protected CollectionAdminRequest.RequestStatusResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<CollectionAdminRequest.RequestStatusResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

    - #### waitFor

          public RequestStatusState waitFor(SolrClient client,
                                            long timeoutSeconds)
                                     throws IOException,
                                            SolrServerException,
                                            InterruptedException

      Wait until the asynchronous request is either completed or failed, up to a timeout
      Parameters:
        `client` - a SolrClient
        `timeoutSeconds` - the maximum time to wait in seconds
      Returns:
        the last seen state of the request
      Throws:
        `IOException`
        `SolrServerException`
        `InterruptedException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.